LPF(1)

NAZWA
lpf - ogólny filtr drukarki

SKŁADNIA

lpf -Pprinter -wwidth -llength -xwidth -ylength [-c]
    -Kcontrolfilename -Lbnrname [-i indent] [-Z options]
    [-C class] [-J job] [-R accntname] -nlogin -hHost
    -Fformat [-T[crlf,endlinechar] -D level] [affile]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Lpf jest ogólnym filtrem drukarki. Zwykle jest używany jako filtr w pliku printcap i wywoływany przez lpd. Opcja -Tcrlf eliminuje konwersję LF na pary CR/LF. Poniższe opcje przesyła lpd domyślnie:

-Pprinter
    Nazwa drukarki.

-wwidth
    Szerokość strony w znakach, jak podano w polu :pw pliku printcap

-llength
    Szerokość długość w wierszach, jak podano w polu :pl pliku printcap

-xwidth
    Szerokość strony w pikselach, jak podano w polu :px pliku printcap

-ylength
    Długość strony w pikselach, jak podano w polu :py pliku printcap

-Kcontrolfilename
    Nazwa pliku sterującego.

-Lbnrname
    Nazwa nagłówka (banner). Ustawiana opcją -T polecenia lpr.

-nlogin
    Nazwa zgłoszeniowa użytkownika.

-hHost
    Host, z którego zgłoszono zadanie.

-Fformat
    Format zadania z opcji -F polecenia lpr lub innej opcji.

Poniższe opcje mogą być ustawiane przez lpd opcjonalnie:

-Zoptions
    Opcje dodatkowe. Przesyłane są z parametru -Z podanego w wierszu poleceń polecenia lpr i mogą być interpretowane przez filtr.

Pozostałe opcje można dodać do wpisu filtru w pliku printcap:

-c  ignoruje znaki sterujące, ustawiane przez opcje -b (binary) lub -l (literal) polecenia lpr.

-iindent
    wielkość wcięcia, ustawiana opcją -i polecenia lpr.

-Cclass
    nazwa klasy, ustawiana opcją -C polecenia lpr.

-Jjob
    nazwa zadania, ustawiana opcją -J polecenia lpr.

-Raccntname
    nazwa pliku rozliczeniowego, z informacji zawartej w printcap.

-Dlevel
    Ustawia poziom debugowania. Poziom musi być liczbą całkowitą, wartość niezerowa włącza debugowanie.

-Tcrlf
    Włącza konwersję LF na CR/LF.
    [tłum: w org. _wyłącza_].

-TNNN
    NNN jest liczbą całkowitą w formacie używanym w C. Odpowiadający jej znak jest dołączany na koniec wiersza (LF, CR lub CR/LF). Można użyć do wymuszenia innej postaci konwersji CR/LF.

PLIKI

Nazwy plików używane przez LPRng ustawiane są wartościami w pliku konfiguracyjnym drukarek. Poniżej podano powszechnie używany zestaw wartości domyślnych.
/etc/lpd.conf                        plik konfiguracyjny LPRng
/etc/printcap                        plik opisu drukarek
/etc/lpd.perms                       uprawnienia drukarek
/var/spool/printer*                  katalogi buforowania
/var/spool/printer*/printer          plik blokujący sterowania kolejką
/var/spool/printer*/control.printer  sterowanie kolejką
/var/spool/printer*/active.printer   aktywne zadanie
/var/spool/printer*/log.printer      plik dziennika drukarki

ZOBACZ TAKŻE
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1).

DIAGNOSTYKA
Większość komunikatów diagnostycznych jest oczywista. Jeśli dokładny powód niepowodzenia pozostaje niejasny, należy włączyć poziom debugowania (-D5) i uruchomić ponownie. Informacja diagnostyczna pomoże uchwycić dokładną przyczynę.

HISTORIA
LPRng jest rozszerzonym systemem buforowania wydruku o funkcjonalności podobnej do oprogramowania Berkeley LPR. Listą dyskusyjną o LPRng jest lprng@lprng.com; subskrypcja przez wysłanie listu do lprng-request@lprng.com ze słowem `subscribe` w treści. Oprogramowanie to jest dostępne z ftp://ftp.astart.com/pub/LPRng.

AUTOR
Patrick Powell <papowell@astart.com>.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 lpf

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.